com.genesyslab.wfm8.API.service.calendar850

## Class CalRequestData

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.CalRequestData

- All Implemented Interfaces:
    java.io.Serializable

      public class CalRequestData
      extends java.lang.Object
      implements java.io.Serializable

  Calendar items (request) related data
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CalItemInformation>` | `information`
    `protected int` | `informationArraySize`
    `protected long` | `requestID`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalRequestData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CalItemInformation>` | `getInformation()` Gets the value of the information property.
    `int` | `getInformationArraySize()` Gets the value of the informationArraySize property.
    `long` | `getRequestID()` Gets the value of the requestID property.
    `int` | `hashCode()`
    `void` | `setInformation(java.util.List<CalItemInformation> information)` Sets the value of the information property.
    `void` | `setInformationArraySize(int value)` Sets the value of the informationArraySize property.
    `void` | `setRequestID(long value)` Sets the value of the requestID property.
    `java.lang.String` | `toString()`
    `CalRequestData` | `withInformation(CalItemInformation... values)`
    `CalRequestData` | `withInformation(java.util.Collection<CalItemInformation> values)`
    `CalRequestData` | `withInformationArraySize(int value)`
    `CalRequestData` | `withRequestID(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### requestID

          protected long requestID

    - #### informationArraySize

          protected int informationArraySize

    - #### information

          protected java.util.List<CalItemInformation> information

  - ### Constructor Detail

    - #### CalRequestData

          public CalRequestData()

  - ### Method Detail

    - #### getRequestID

          public long getRequestID()

      Gets the value of the requestID property.

    - #### setRequestID

          public void setRequestID(long value)

      Sets the value of the requestID property.

    - #### getInformationArraySize

          public int getInformationArraySize()

      Gets the value of the informationArraySize property.

    - #### setInformationArraySize

          public void setInformationArraySize(int value)

      Sets the value of the informationArraySize property.

    - #### getInformation

          public java.util.List<CalItemInformation> getInformation()

      Gets the value of the information property. Objects of the following type(s) are allowed in the list `CalItemInformation`

    - #### withRequestID

          public CalRequestData withRequestID(long value)

    - #### withInformationArraySize

          public CalRequestData withInformationArraySize(int value)

    - #### withInformation

          public CalRequestData withInformation(CalItemInformation... values)

    - #### withInformation

          public CalRequestData withInformation(java.util.Collection<CalItemInformation> values)

    - #### setInformation

          public void setInformation(java.util.List<CalItemInformation> information)

      Sets the value of the information property.
      Parameters:
        `information` - allowed object is `CalItemInformation`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.